diagram.toolbar.button.ClassDiagram.Entity EJB =
\ entity = createNodeByPattern("EJB/Entity EJB");
\ entity->getProperty("$ejbRole");
\ entity->setProperty("$ejbBeanManagedPersistence", "");
\ pk = entity->createMemberByPattern("EJB/Field");
\ pk->setProperty("$primaryKey", true);
\ entity->editInplace(null, true)
diagram.toolbar.button.ClassDiagram.Entity EJB.icon = "com/togethersoft/modules/ejb/classdiagram/images/EJB-entity.gif"
diagram.toolbar.button.ClassDiagram.Entity EJB.condition =
\     (%DEFAULT_LANGUAGE% == "java") &&
\     isFeatureEnabledByWorkspace("diagram.toolbar.EJB buttons")

diagram.toolbar.button.ClassDiagram.Session EJB = createNodeByPattern("EJB/Session EJB")
diagram.toolbar.button.ClassDiagram.Session EJB.icon = "com/togethersoft/modules/ejb/classdiagram/images/EJB-session.gif"
diagram.toolbar.button.ClassDiagram.Session EJB.condition =
\     (%DEFAULT_LANGUAGE% == "java") &&
\     isFeatureEnabledByWorkspace("diagram.toolbar.EJB buttons")

view.map.*.Class.isTopLevel() && hasProperty("$ejbRole").startup =
\     setGraphicProperty("$ejbComponent", "")
